tigase.jaxmpp.core.client.xmpp.modules.socks5

## Class Streamhost

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.socks5.Streamhost

- All Implemented Interfaces:
    ConnectionEndpoint

      public class Streamhost
      extends Object
      implements ConnectionEndpoint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Streamhost(String jid, String address, Integer port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `JID` | `getJid()`
    `Integer` | `getPort()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Streamhost

          public Streamhost(String jid,
                            String address,
                            Integer port)

  - ### Method Detail

    - #### getHost

          public String getHost()

      Specified by:
        `getHost` in interface `ConnectionEndpoint`

    - #### getJid

          public JID getJid()

      Specified by:
        `getJid` in interface `ConnectionEndpoint`

    - #### getPort

          public Integer getPort()

      Specified by:
        `getPort` in interface `ConnectionEndpoint`

Copyright © 2006–2020 Tigase. All rights reserved.